Bug 1025732 - [abrt] evolution-3.11.1-1.fc21: g_type_check_instance: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.11.1-1.fc21: g_type_check_instance: Process /usr/bin/evolu...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6f44cf0987433bb2f3aa267a716...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 08:00 EDT by Vadim Rutkovsky
Modified: 2016-07-19 06:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:32:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (60.40 KB, text/plain)
2013-11-01 08:00 EDT, Vadim Rutkovsky
no flags Details
File: cgroup (161 bytes, text/plain)
2013-11-01 08:00 EDT, Vadim Rutkovsky
no flags Details
File: core_backtrace (40.78 KB, text/plain)
2013-11-01 08:00 EDT, Vadim Rutkovsky
no flags Details
File: dso_list (25.96 KB, text/plain)
2013-11-01 08:00 EDT, Vadim Rutkovsky
no flags Details
File: environ (1.42 KB, text/plain)
2013-11-01 08:00 EDT, Vadim Rutkovsky
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-01 08:00 EDT, Vadim Rutkovsky
no flags Details
File: maps (159.75 KB, text/plain)
2013-11-01 08:00 EDT, Vadim Rutkovsky
no flags Details
File: open_fds (2.96 KB, text/plain)
2013-11-01 08:00 EDT, Vadim Rutkovsky
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2013-11-01 08:00 EDT, Vadim Rutkovsky
no flags Details
File: var_log_messages (19.72 KB, text/plain)
2013-11-01 08:00 EDT, Vadim Rutkovsky
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 708166 None None None Never

  None (edit)
Description Vadim Rutkovsky 2013-11-01 08:00:06 EDT
Description of problem:
Crashed on uploading a photo to a contact in Google Addressbook with resize

Version-Release number of selected component:
evolution-3.11.1-1.fc21

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        evolution
crash_function: g_type_check_instance
executable:     /usr/bin/evolution
kernel:         3.12.0-0.rc6.git4.1.fc21.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance at gtype.c:4082
 #1 g_signal_handler_disconnect at gsignal.c:2580
 #2 e_alert_run_dialog at e-alert-dialog.c:361
 #3 e_alert_run_dialog_for_args at e-alert-dialog.c:384
 #8 eab_editor_contact_modified at eab-editor.c:383
 #9 contact_modified_cb at e-contact-editor.c:3632
 #10 contact_modified_ready_cb at e-contact-editor.c:3658
 #11 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #12 complete_in_idle_cb_for_thread at gsimpleasyncresult.c:845
 #17 gtk_main at gtkmain.c:1158
Comment 1 Vadim Rutkovsky 2013-11-01 08:00:20 EDT
Created attachment 818264 [details]
File: backtrace
Comment 2 Vadim Rutkovsky 2013-11-01 08:00:24 EDT
Created attachment 818265 [details]
File: cgroup
Comment 3 Vadim Rutkovsky 2013-11-01 08:00:29 EDT
Created attachment 818266 [details]
File: core_backtrace
Comment 4 Vadim Rutkovsky 2013-11-01 08:00:32 EDT
Created attachment 818267 [details]
File: dso_list
Comment 5 Vadim Rutkovsky 2013-11-01 08:00:36 EDT
Created attachment 818268 [details]
File: environ
Comment 6 Vadim Rutkovsky 2013-11-01 08:00:39 EDT
Created attachment 818269 [details]
File: limits
Comment 7 Vadim Rutkovsky 2013-11-01 08:00:43 EDT
Created attachment 818270 [details]
File: maps
Comment 8 Vadim Rutkovsky 2013-11-01 08:00:46 EDT
Created attachment 818271 [details]
File: open_fds
Comment 9 Vadim Rutkovsky 2013-11-01 08:00:49 EDT
Created attachment 818272 [details]
File: proc_pid_status
Comment 10 Vadim Rutkovsky 2013-11-01 08:00:53 EDT
Created attachment 818273 [details]
File: var_log_messages
Comment 11 Milan Crha 2013-11-05 12:50:09 EST
Thanks for a bug report. Do you have any exact steps for a reproducer, please? I'd guess there is a use-after-free issue involved here, which might not always crash, but could be noticeable by valgrind.
Comment 12 Vadim Rutkovsky 2013-11-06 05:24:40 EST
Interesting, the steps are identical to https://bugzilla.gnome.org/show_bug.cgi?id=708166, but the crashing function here is different. I presume both these crashes are caused by one race condition in updating/deleting attributes
Comment 13 Fedora Admin XMLRPC Client 2014-09-04 10:28:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Jaroslav Reznik 2015-03-03 10:10:51 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 15 Fedora End Of Life 2016-07-19 06:32:51 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.